Change Password
POST
/api/v1/auth/change-password
const url = 'https://api.ultimateteam.ai/api/v1/auth/change-password';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"current_password":"example","new_password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/auth/change-password \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "current_password": "example", "new_password": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ChangePasswordRequest
object
current_password
required
Current Password
string
new_password
required
New Password
string
Examplegenerated
{ "current_password": "example", "new_password": "example"}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
ResetPasswordResponse
Response body for the reset-password endpoint.
Attributes: message: A success message.
object
message
required
Message
string
Examplegenerated
{ "message": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}